# comment out when not a beta release
%define prerel    b1

%define pypi_name black

%define rel 1

Name:           python-%{pypi_name}
Version:        20.8
Release:        %mkrel %{?prerel:0.%{prerel}.}%{rel}
Summary:        The uncompromising code formatter
Group:          Development/Python
License:        MIT
URL:            https://github.com/psf/black
Source0:        https://pypi.python.org/packages/source/b/%{pypi_name}/%{pypi_name}-%{version}%{?prerel}.tar.gz
Source1:        black.1
Source2:        blackd.1
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(aiohttp)
BuildRequires:  python3dist(aiohttp-cors)
BuildRequires:  python3dist(appdirs)
BuildRequires:  python3dist(click)
BuildRequires:  python3dist(mypy-extensions)
BuildRequires:  python3dist(pathspec)
BuildRequires:  python3dist(regex)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(toml)
BuildRequires:  python3dist(typed-ast)
BuildRequires:  python3dist(typing-extensions)

%description
Black is the uncompromising Python code formatter. By using it, you agree to
cease control over minutiae of hand-formatting. In return, Black gives you
speed, determinism, and freedom from pycodestyle nagging about formatting.
You will save time and mental energy for more important matters.

%package -n     %{pypi_name}
Summary:        The uncompromising code formatter
Group:          Development/Python
# extras_require "d"
Recommends:     python3-aiohttp >= 3.3.2
Recommends:     python3-aiohttp-cors

%description -n %{pypi_name}
Black is the uncompromising Python code formatter. By using it, you agree to
cease control over minutiae of hand-formatting. In return, Black gives you
speed, determinism, and freedom from pycodestyle nagging about formatting.
You will save time and mental energy for more important matters.

%prep
%autosetup -n %{pypi_name}-%{version}%{?prerel} -p1

%generate_buildrequires
# d is a name of extras_require
#%%pyproject_buildrequires -rx d

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files 'black*' '_black*' blib2to3

for exe in black blackd black-primer; do
  ln -sr %{buildroot}%{_bindir}/${exe}{,-%{python3_version}}
done

install -D -m 644 %{SOURCE1} %{buildroot}%{_mandir}/man1/black.1
install -D -m 644 %{SOURCE2} %{buildroot}%{_mandir}/man1/blackd.1

%check
export PIP_INDEX_URL=http://host.invalid./
export PIP_NO_DEPS=yes
export PYTHONPATH=%{buildroot}%{python3_sitelib}
export PATH=%{buildroot}%{_bindir}:$PATH
%{python3} setup.py test

%files -n %{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/black
%{_bindir}/black-%{python3_version}
%{_mandir}/man1/black.1*
%{_bindir}/blackd
%{_bindir}/blackd-%{python3_version}
%{_mandir}/man1/blackd.1*
%{_bindir}/black-primer
%{_bindir}/black-primer-%{python3_version}


%changelog
* Thu Jan 07 2021 daviddavid <daviddavid> 20.8-0.b1.1.mga8
+ Revision: 1669507
- initial package python-black (needed for python3-pyls-black)

